#ifndef EVENTHANDLER_H
#define EVENTHANDLER_H

#include <QKeyEvent>
#include <QMouseEvent>

class EventHandler
{
public:
	virtual bool keyPressEvent(QKeyEvent *e);
    virtual bool mouseMoveEvent(QMouseEvent *e);
    virtual bool mousePressEvent(QMouseEvent *e);
    virtual bool mouseReleaseEvent(QMouseEvent *e);
    virtual bool wheelEvent(QWheelEvent *e);
};

#endif
