#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>
#include <Ogre.h>

class OgreWidget;
class Coordinate3DModifier;

class MainWindow : public QMainWindow
{
Q_OBJECT

public:
    MainWindow();

private:
    void createActionMenus();
    void createDockWidget();
    
private slots:
    void chooseBgColor();
    void moveCamModeToggled(bool on);

private:
    OgreWidget 				*	ogreWidget;
	
    Coordinate3DModifier 	*	coordModifier;
	QDockWidget 			*	coordModifierDock;
};

#endif
