#ifndef CAMERAEVENTHANDLER_H
#define CAMERAEVENTHANDLER_H

#include <OgreCamera.h>

#include "eventhandler.h"

class MyCamera;

class CameraEventHandler : public EventHandler
{
public:
	CameraEventHandler(MyCamera *targetCamera);
	
	virtual bool keyPressEvent(QKeyEvent *e);
    virtual bool mouseMoveEvent(QMouseEvent *e);
    virtual bool mousePressEvent(QMouseEvent *e);
    virtual bool mouseReleaseEvent(QMouseEvent *e);
    virtual bool wheelEvent(QWheelEvent *e);
	
private:
    static const Ogre::Real turboModifier;
    static const QPoint invalidMousePoint;

private:
    QPoint oldPos;
	MyCamera *camera;
};

#endif
