#ifndef COORDINATE3DMODIFIER_H
#define COORDINATE3DMODIFIER_H

#include <QtGui>
#include <Ogre.h>

class Coordinate3DModifier : public QWidget
{
Q_OBJECT

public:
    Coordinate3DModifier(QWidget *parent=0);
    
public slots:
    void setNewCoordinate(const Ogre::Vector3 &coordinate);

signals:
    void coordinateChanged(const Ogre::Vector3 &coordinate);

private slots:
    void onCoordinateChanged();

private:
    QDoubleSpinBox *sbx, *sby, *sbz;
};

#endif
